svm_parameter Struct Reference

`#include <pcl/ml/svm.h>`

Inheritance diagram for svm_parameter:

## Public Attributes

int | svm_type
int | kernel_type
int | degree
double | gamma
double | coef0
double | cache_size
double | eps
double | C
int | nr_weight
int * | weight_label
double * | weight
double | nu
double | p
int | shrinking
int | probability

## Detailed Description

Definition at line 75 of file svm.h.

## Member Data Documentation

## C

double svm_parameter::C

Definition at line 85 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## cache_size

double svm_parameter::cache_size

Definition at line 83 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## coef0

double svm_parameter::coef0

Definition at line 80 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## degree

int svm_parameter::degree

Definition at line 78 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## eps

double svm_parameter::eps

Definition at line 84 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## gamma

double svm_parameter::gamma

Definition at line 79 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## kernel_type

int svm_parameter::kernel_type

Definition at line 77 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## nr_weight

int svm_parameter::nr_weight

Definition at line 86 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## nu

double svm_parameter::nu

Definition at line 89 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## p

double svm_parameter::p

Definition at line 90 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## probability

int svm_parameter::probability

Definition at line 92 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## shrinking

int svm_parameter::shrinking

Definition at line 91 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## svm_type

int svm_parameter::svm_type

Definition at line 76 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## weight

double* svm_parameter::weight

Definition at line 88 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

## weight_label

int* svm_parameter::weight_label

Definition at line 87 of file svm.h.

Referenced by pcl::SVMParam::SVMParam().

The documentation for this struct was generated from the following file:

- pcl/ml/svm.h